import { SVGRender } from '../graph/';
import { Component, type ReactNode } from 'react';
import GraphViewport from './GraphViewport';
import './Voyager.css';
import './viewport.css';
declare type IntrospectionProvider = (query: string) => Promise<any>;
export interface VoyagerDisplayOptions {
    rootType?: string;
    skipRelay?: boolean;
    skipDeprecated?: boolean;
    showLeafFields?: boolean;
    sortByAlphabet?: boolean;
    hideRoot?: boolean;
}
export interface VoyagerProps {
    introspection: IntrospectionProvider | unknown;
    displayOptions?: VoyagerDisplayOptions;
    hideDocs?: boolean;
    hideSettings?: boolean;
    children?: ReactNode;
}
export default class Voyager extends Component<VoyagerProps> {
    state: {
        introspectionData: any;
        schema: any;
        typeGraph: any;
        displayOptions: {
            rootType: any;
            skipRelay: boolean;
            skipDeprecated: boolean;
            sortByAlphabet: boolean;
            showLeafFields: boolean;
            hideRoot: boolean;
        };
        selectedTypeID: any;
        selectedEdgeID: any;
    };
    svgRenderer: SVGRender;
    viewportRef: import("react").RefObject<GraphViewport>;
    introspectionPromise: any;
    constructor(props: any);
    componentDidMount(): void;
    fetchIntrospection(): void;
    updateIntrospection(introspectionData: any, displayOptions: any): void;
    componentDidUpdate(prevProps: VoyagerProps): void;
    render(): JSX.Element;
    renderPanel(): JSX.Element;
    renderSettings(): JSX.Element;
    renderGraphViewport(): JSX.Element;
    handleDisplayOptionsChange: (delta: any) => void;
    handleSelectNode: (selectedTypeID: any) => void;
    handleSelectEdge: (selectedEdgeID: any) => void;
    static PanelHeader: (props: any) => any;
}
export {};
